<?php
$type=mysql_fetch_array(mysql_query("select * from `maf_act` where `type` != 'act';"));
$act=mysql_fetch_array(mysql_query("select * from `maf_act` where `type` = 'act';"));
$countreg=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_reg` = '1'"),0);

$role=Array('Мирный житель','Комиссар','10'=>'Мафиози','11'=>'Босс мафии');
//if($countreg>=6)
$role[9]='Маньяк';
//if($countreg>=8)
$role[3]='Доктор';
//if($countreg>=10)
$role[4]='Шериф';
//if($countreg>=11){
$role[5]='Путана'; $role[6]='Бомж';
//}if($countreg>=13){
$role[7]='Самурай'; $role[12]='Шпион мафии';
//} if($countreg>=14)
$role[13]='Киллер мафии';
//if($countreg>=16)
$role[8]='Фанатик';

function rol($b){
global $role;
return $role[$b];
}


function img($img){
return "<img src='img/$img.png' alt=' '/> ";
}
 
function is_maf(){
}

//Простая кнопка
function submit($v,$n)
{
global $passgen;

return "<form method='post' action='?$passgen'><input type='submit'  value='$v' name='$n'/></form>";
}

/*
//Распределение ролей
function get_role(){
global $role, $countreg, $conf;
$rand = array_rand($role);
$how=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `m_role` = '$rand';"),0);

if($how=='0')return $rand;
else if($how > '0' && $rand != '0' && $rand!='10') return get_role();
else if($rand == '0' && $how <= $countreg*0.3) return $rand;
else if($rand == '10' && $how <= $countreg*0.25) return $rand;
else if($rand == '0' && $how > $countreg*0.3) return get_role();
else if($rand == '10' && $how > $countreg*0.25) return get_role();
else return '0';
}

*/

function get_role($i){

if($i==1){
$role="1";
}
elseif($i==2){
$role="0";
}
elseif($i==3){
$role="11";
}
elseif($i==4){
$role="0";
}
elseif($i==5){
$role="10";
}
elseif($i==6){
$role="9";
}
elseif($i==7){
$role="3";
}
elseif($i==8){
$role="10";
}
elseif($i==9){
$role="0";
}
elseif($i==10){
$role="5";
}
elseif($i==11){
$role="4";
}
elseif($i==12){
$role="6";
}
elseif($i==13){
$role="7";
}
elseif($i==14){
$role="12";
}
elseif($i==15){
$role="8";
}
elseif($i==16){
$role="10";
}
elseif($i==17){
$role="0";
}
elseif($i==18){
$role="10";
}
elseif($i==19){
$role="0";
}
elseif($i==20){
$role="10";
}
elseif($i==21){
$role="0";
}
elseif($i==22){
$role="9";
}
elseif($i==23){
$role="8";
}
elseif($i==24){
$role="0";
}
elseif($i==25){
$role="10";
}
$r=$role;
return $r;
}



function type($type,$time=null) {
mysql_query("update `maf_act` set `type` = '$type' ".($time!=null?", `time` = $time":null)." where `type` != 'act';");
}

//Сообщение от бота
function bot($msg) {
global $conf, $time;
mysql_query("insert into `maf_chat` (`id_user`,`msg`,`time`) values ('$conf[bot]','$msg','".time()."');");
}

function act() {
global $user, $ank;
mysql_query("insert into `maf_act` (`id_from`,`id_to`,`role`, `time`) values ('$user[id]','$ank[id]','$user[m_role]','".time()."');");
}

function mafs() {
$q=mysql_query("select * from `profile` where `m_role` > 9 && `m_live` = '1';");
$maf=array();
while($m=mysql_fetch_array($q)){$maf[]="<a href='reply.php?id=$m[id]'>$m[login]</a> ".($m['m_role']>10?'['.rol($m['m_role']).']':null);}
echo 'Ваш мафиозный клан: <br/>'.implode(', ',$maf).'<br/>';
}



?>